> For the complete documentation index, see [llms.txt](https://docs.realmigrator.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmigrator.com/script/reference/hash.md).

# Hash Reference

## gkScript main object

| Script                                            | Function                                                         |
| ------------------------------------------------- | ---------------------------------------------------------------- |
| `string gkScript::hashMD5(string data)`           | Use it to MD5-hash the data string. A binary has string returns. |
| `gkScript::hexEncode` or `gkScript::base64Encode` | Get an appropriate string representation                         |
| `Hash gkScript::createMD5Hasher()`                | Will create a hash object                                        |

## gkScript hash object

```c++
class Hash
{
    reset();
    update(string data);
    string finalize();
};
```

#### Hash sample

```shell
eval> var md5 = gkScript.hexEncode(gkScript.hashMD5("The quick brown fox jumps over the lazy dog"));
9E107D9D372BB6826BD81D3542A419D6

eval> var hasher = gkScript.createMD5Hasher();
eval> hasher.update("The quick brown fox");
eval> hasher.update(" jumps over the lazy dog");
eval> gkScript.hexEncode(hasher.finalize());
9E107D9D372BB6826BD81D3542A419D6
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmigrator.com/script/reference/hash.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
